@truffle/require

v2.0.97

Require and execute a Javascript module within a Truffle context

MIT
Latest version published 18 days ago
    npm install @truffle/require
  

Package Health Score

81 / 100

Security

Security review needed
Powered by Snyk
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
2.0.97 | 04/2022
Popular
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
License
MIT
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

# Install the Snyk CLI and test your project
npm i snyk -g && snyk test @truffle/require
Get started free

Popularity

Small

Weekly Downloads (431)

Download trend
Dependents
1.36K
GitHub Stars
13.12K
Forks
2.16K
Contributors
220

Direct Usage Popularity

Occasionally

The npm package @truffle/require receives a total of 431 downloads a week. As such, we scored @truffle/require popularity level to be Small.

Based on project statistics from the GitHub repository for the npm package @truffle/require, we found that it has been starred 13,119 times, and that 1,359 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Active
Readme.md
Yes
Contributing.md
Yes
Code of Conduct
No
Contributors
220
Funding
No

A good and healthy external contribution signal for @truffle/require project, which invites more than one hundred open source maintainers to collaborate on the repository.

We found a way for you to contribute to the project! Looks like @truffle/require is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 81/100 package health 81/100

Maintenance

Healthy

Commit Frequency

Open Issues
463
Open PR
36
Last Release
18 days ago
Last Commit
4 days ago

Further analysis of the maintenance status of @truffle/require based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @truffle/require demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Package

Node.js Compatibility
not defined

Age
3 years
Dependencies
4 Direct
Versions
125
Install Size
8.21 kB
Dist-tags
10
# of Files
9
Maintainers
13
TS Typings
No

@truffle/require has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.